/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Paolo Andreetto, <paolo.andreetto@pd.infn.it>
 *          Luigi Zangrando, <luigi.zangrando@pd.infn.it>
 *
 */

package org.glite.ce.commonj.jndi;

import java.util.Hashtable;
import java.util.Enumeration;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import javax.naming.Context;
import javax.naming.Name;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.spi.DirStateFactory;

import org.glite.ce.commonj.jndi.provider.fscachedprovider.CEGeneralAttributes;

import org.apache.log4j.Logger;

public class CEGeneralDirStateFactory implements DirStateFactory{

    private static Logger logger = 
	Logger.getLogger(CEGeneralDirStateFactory.class.getName());

    public CEGeneralDirStateFactory(){}

    public DirStateFactory.Result getStateToBind(Object obj,
						 Name name,
						 Context nameCtx,
						 Hashtable environment,
						 Attributes inAttrs)
	throws NamingException{

	if( inAttrs==null )
	    inAttrs = new CEGeneralAttributes("internal", "test");
	else
	    inAttrs.put("internal", "test");
	return new DirStateFactory.Result(obj, inAttrs);
    }

    public Object getStateToBind(Object obj,Name name,
				 Context nameCtx, Hashtable environment)
	throws NamingException{

	   
	return getStateToBind(obj, name, nameCtx, environment, null );
    }
}
