/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Paolo Andreetto, <paolo.andreetto@pd.infn.it>
 *
 */

package org.glite.ce.commonj.configuration.basic;

import org.xml.sax.Attributes;
import org.xml.sax.SAXParseException;

public interface ConfigParser{

    public String getObjectName(String uri,
                                String name,
                                String qName, 
                                Attributes attributes)
        throws SAXParseException;

    public void startElement(String uri, 
                             String name, 
                             String qName, 
                             Attributes attributes,
                             ConfigItem prevContext) 
        throws SAXParseException;

    public void endElement(String uri, 
                           String name, 
                           String qName,
                           ConfigItem currentContext) 
        throws SAXParseException;

    public void characters(char[] chars,
                           int start,
                           int length,
                           ConfigItem currentContext) 
        throws SAXParseException;

}
